Program hamilt2; uses dos;
{iz kompleksa prog. dlq resh. ur. Schr. s bazisom iz VF garm. osts. i t.p.:
  sozd. matrits H, S i oper. koordinat, 2-mer. sluchaj.
}
{vs`o, chto mozhno, delaem v SGSE}
{ranee predpolagalos`, chto massa po vsem napravl. budet odinakova; no, 
  napr., dl`a A-H...B v koord. q(AH) i Q(AB) logichno vz`at` m=mH
  i mA*mB/(mA+mB) sootv-nno (eto pribl. - strogo bylo by rassm. 
  zad. >-ej razm-sti s garm. uderzh. tsentra mass, no i tam voshli by 
  razn. massy). V sv`azi s etim otkazyvaems`a ot krasivykh formul,
  poluchajushchikhs`a pri ravn. massakh, i dobrosovestno nabivaem
  bolee dlinn. f-ly, sootv. raznym massam vdol` razn. koord.
}
{plokho: k[i], m[i], no sTx..sTy}

 {$i constant.pas}
 {$i subrmate.pas}
 {$i vspo__2.pas}

 var kine:real;

 type matr=array[1..ndim_max,1..ndim_max] of real;
 var H,S,V:^matr; Xi:array[1..2] of ^matr;

 procedure init_gene; var i:integer;
 begin
  new(H); new(S); new(V); for i:=1 to 2 do new(Xi[i]);
 end;

 procedure fin_gene; var i:integer;
 begin
  dispose(H); dispose(S); dispose(V); for i:=1 to 2 do dispose(Xi[i]);
 end;

 {------------------------------}
 {$i raboch.inc}
 {fragment, spetsifich. dl`a konkretn. s-my}
 {----------------------------}

 var i,j,k1,k2:integer;
 var sS,sTx,sTy,sU,sH,SX1,sX2:real;
 var r:vect2; f{,f2},f2xx,f2yy,g{,g2},g2xx,g2yy:real;

 procedure zapis_matr(s:string; n:integer; var a:matr);
 {vozm., chtoby ne pisat` kuchu nulej, luchshe dlq kazhd. el-ta
   prover. abs>1e-5 i vyv. tk.: i j a[i,j] ?
 }
  var i,j:integer; f:text;
 begin
  writeln('zapis_matr: ',s);
  assign(f,s); rewrite(f);
  for i:=1 to n do begin
   for j:=1 to n do write(f,' ',a[i,j]:10:8); writeln(f);
  end;
  close(f);
 end;

Begin
 if paramcount>1 then begin
  writeln('Obr.: prog [/setka+] ; ili: prog /setka- .'); halt;
 end;
 initmnozh;
 init_gene;
 if paramstr(1)='/setka-' then rezhim_setk:='p' else rezhim_setk:='s';
 init_spec;

 with minima[1] do begin
  writeln('r0=',r0[1]:10:4,r0[2]:10:4);
  writeln('a= ',a[1,1]:10:4,a[1,2]:10:4,a[2,1]:10:4,a[2,2]:10:4);
  writeln('k= ',k[1]:10:4,' ',k[2]:10:4);
  writeln('x0(A)=',x0[1]/angst:10:4,' ',x0[2]/angst:10:4);
 end;

 dv:=sqr(dx) {w 3-mer. slu`ae - ^3};

 for i:=1 to nbaz_ftsij do for j:=1 to nbaz_ftsij do begin

  sS:=0; sTx:=0; sTy:=0; sU:=0; sH:=0; sX1:=0; sX2:=0;
  for k1:=round(x1_0/dx) to round(x1_1/dx) do begin r[1]:=k1*dx;
  for k2:=round(x2_0/dx) to round(x2_1/dx) do begin r[2]:=k2*dx;
   with baz_ftsii[i] do ff(nr_min, n1,n2, r, f,f2xx,f2yy);
   with baz_ftsii[j] do ff(nr_min, n1,n2, r, g,g2xx,g2yy);
   sS:=sS+f*g*dv;        { sS = <i|j> }
   sTx:=sTx+f*g2xx*dv;   { sT ~ <i|j''xx> }
   sTy:=sTy+f*g2yy*dv;   { sTy ~ <i|j''yy> }
   sU:=sU+f*E_r(r)*g*dv; { sU ~ <i|U(r)|j> }
   sX1:=sX1+f*r[1]*g*dv;
   sX2:=sX2+f*r[2]*g*dv;

   {writeln(k1:4,k2:4,r[1]/angst:8:4,r[2]/angst:8:4,' ',E_r(r)/k_erg*k_smm1:10:2);}

  end end {k1,k2};

  S^[i,j]:=sS;
  kine:=-sqr(hx)*(sTx/(2*m[1])+sTy/(2*m[2]));
  H^[i,j]:=(kine+sU)/k_erg*k_smm1;
  Xi[1]^[i,j]:=sX1/angst; Xi[2]^[i,j]:=sX2/angst;
  writeln(i:5,j:5,S^[i,j]:10:4,kine/k_erg*k_smm1:10:4,
    sU/k_erg*k_smm1:10:4,H^[i,j]:10:4);

  {halt;}

 end {i,j};

 writeln('konets tsikla po i i j.');
 zapis_matr('S.txt',nbaz_ftsij,S^);
 zapis_matr('H.txt',nbaz_ftsij,H^);
 zapis_matr('X1.txt',nbaz_ftsij,Xi[1]^);
 zapis_matr('X2.txt',nbaz_ftsij,Xi[2]^);

 fin_spec; fin_gene;
End.
