{nachalo fragmenta, spetsifich. dl`a konkretn. s-my}
{alfa-glitsyn, treug. N-O1-O2 - "bifurcir. H-sv`az`"; poschit. 
  metodom MNDO (?).
}
{----------------}

 function E_r(r:vect2):real; var k1,k2:integer; ee:real;
 begin
  if rezhim_setk='p' then begin
   ee:=interpola(r[1],r[2]);
  end else if rezhim_setk='s' then begin
   k1:=round((r[1]-x1_0)/dx); k2:=round((r[2]-x2_0)/dx);
   {writeln(r[1]:16,' ',r[2]:16,' ',k1:4,k2:4,' ',pot^[k1,k2]:10:4);}
   ee:=pot^[k1,k2];
  end;
  E_r:=ee;
 end;

{----------------}

 procedure init_spec;
  var nr,i:integer; omega:real;
 begin
  x1_0:=-1*angst; x1_1:=3*angst; x2_0:=-1*angst; x2_1:=3*angst;
  dx:=0.05*angst;
  m[1]:=mp; m[2]:=mp;
  {khot`a deform. el. oblaka ekviv. dvizh. el-na vmeste s
    protonom, ber`om mp, a ne mH}
  Emax_smm1:=10000.0; Emax_:=200000.0/k_smm1*k_erg;
  nminima:=3;
  with minima[1] do begin
   r0[1]:=0.9940*angst; r0[2]:=0.2228*angst; E_dna_smm1:=570.67;
   a[1,1]:=-0.2237; a[1,2]:=0.9747; k[1]:=99499.2794;
   a[2,1]:=0.9747; a[2,2]:=0.2237; k[2]:=671542.5235;
  end;
  with minima[2] do begin
   r0[1]:=2.1120*angst; r0[2]:=0.1991*angst; E_dna_smm1:=8915.53;
   a[1,1]:=0.2808; a[1,2]:=0.9598; k[1]:=98262.1535;
   a[2,1]:=0.9598; a[2,2]:=-0.2808; k[2]:=677658.1772;
  end;
  with minima[3] do begin
   r0[1]:=1.3646*angst; r0[2]:=1.6748*angst; E_dna_smm1:=16944.26;
   a[1,1]:=0.9972; a[1,2]:=0.0745; k[1]:=20283.2566;
   a[2,1]:=-0.0745; a[2,2]:=0.9972; k[2]:=710652.9054;
  end;
  for nr:=1 to nminima do with minima[nr] do begin
   for i:=1 to 2 do begin
    omega:=sqrt(k[i]/m[i]); x0[i]:=sqrt(hx/(m[i]*omega));
    ny[i]:=omega/(2*pi*c); {sm-1}  
    writeln('nr,i,ny[i](sm-1),x0[i](A)=',
      nr:4,i:4,ny[i]:10:2,x0[i]/angst:10:4);
   end;
  end;

  nbaz_ftsij:=0;

  add_baz_func(1, 0,0); {    0.0000  2900.0041}
  add_baz_func(1, 0,1); { 3363.8478  6263.8519}
  add_baz_func(1, 0,2); { 6727.6955  9627.6996}
  add_baz_func(1, 1,0); { 1294.8204  4194.8245}
  add_baz_func(1, 1,1); { 4658.6682  7558.6723}
  add_baz_func(1, 1,2); { 8022.5160 10922.5201}
  add_baz_func(1, 2,0); { 2589.6409  5489.6449}
  add_baz_func(1, 2,1); { 5953.4886  8853.4927}
  add_baz_func(1, 2,2); { 9317.3364 12217.3405}
  add_baz_func(1, 3,0); { 3884.4613  6784.4654}
  add_baz_func(1, 3,1); { 7248.3090 10148.3131}
  add_baz_func(1, 4,0); { 5179.2817  8079.2858}
  add_baz_func(1, 4,1); { 8543.1295 11443.1336}
  add_baz_func(1, 5,0); { 6474.1021  9374.1062}
  add_baz_func(1, 5,1); { 9837.9499 12737.9540}
  add_baz_func(1, 6,0); { 7768.9226 10668.9267}
  add_baz_func(1, 7,0); { 9063.7430 11963.7471}

  add_baz_func(2, 0,0); {    0.0000 11248.4679}

  writeln('nbaz_ftsij:=',nbaz_ftsij);
  if rezhim_setk<>'n' then init_E_r;
 end;

 procedure fin_spec;
 begin
  if rezhim_setk<>'n' then fin_E_r;
 end;

