{nachalo fragmenta, spetsifich. dl`a konkretn. s-my}
{2-mer. garm. osc. s razn. zhostkostqmi po razn. napravl.;
  razv`ornut po os`am, i minimum smeshchon otnos. nachala koord.;
  posle modif. E_r kh-stiki minimuma najdeny prog-moj UTOCHN2 ,
  a spisok rekomend. baz. f-tsij - prog-moj VYBBAZ2 .
}

  const k0=5.16426e5; {HCl - Krasnov, s.276}

 function E_r(r:vect2):real;
  var rr:vect2; k1,k2:integer; ee:real;
 begin
  if rezhim_setk<>'s' then begin
   rr:=r;
   r[1]:=(1/2)*rr[1]+(sqrt(3)/2)*rr[2];
   r[2]:=(-sqrt(3)/2)*rr[1]+(1/2)*rr[2];
   ee:=(k0/2)*(sqr(r[1]-0.1234*angst)+0.5*sqr(r[2]){+0.3333*sqr(r[3])});
  end else {if rezhim_setk='s' then} begin
   k1:=round((r[1]-x1_0)/dx); k2:=round((r[2]-x2_0)/dx);
   {writeln(r[1]:16,' ',r[2]:16,' ',k1:4,k2:4,' ',pot^[k1,k2]:10:4);}
   ee:=pot^[k1,k2];
  end;
  E_r:=ee;
 end;

 procedure init_spec;
  var nr,i:integer; omega:real;
 begin
  x1_0:=-2.5*angst; x1_1:=2.5*angst; x2_0:=-2.5*angst; x2_1:=2.5*angst;
  dx:=0.05*angst;
  m[1]:=mp; m[2]:=mp;
  {khot`a deform. el. oblaka ekviv. dvizh. el-na vmeste s
    protonom, ber`om mp, a ne mH}
  Emax_smm1:=10000.0; Emax_:=200000.0/k_smm1*k_erg;
  nminima:=1;
(*
  with minima[1] do begin
   r0[1]:=0; r0[2]:=0; E_dna_smm1:=0;
   a[1,1]:=1; a[1,2]:=0; k[1]:=k0;
   a[2,1]:=0; a[2,2]:=1; k[2]:=k0*0.5;
  end;
*)
  with minima[1] do begin
   r0[1]:=0.0617*angst; r0[2]:=0.1069*angst; E_dna_smm1:=0.00;
   a[1,1]:=0.8660; a[1,2]:=-0.5000; k[1]:=258213.0000;
   a[2,1]:=0.5000; a[2,2]:=0.8660; k[2]:=516426.0000;
  end;
  for nr:=1 to nminima do with minima[nr] do begin
   for i:=1 to 2 do begin
    omega:=sqrt(k[i]/m[i]); x0[i]:=sqrt(hx/(m[i]*omega));
    ny[i]:=omega/(2*pi*c); {sm-1}
    writeln('nr,i,ny[i](sm-1),x0[i](A)=',
      nr:4,i:4,ny[i]:10:2,x0[i]/angst:10:4);
   end;
  end;

  nbaz_ftsij:=0;

  add_baz_func(1, 0,0); {    0.0000  2517.8759}
  add_baz_func(1, 0,1); { 2949.8751  5467.7509}
  add_baz_func(1, 0,2); { 5899.7501  8417.6260}
  add_baz_func(1, 0,3); { 8849.6252 11367.5011}
  add_baz_func(1, 1,0); { 2085.8767  4603.7525}
  add_baz_func(1, 1,1); { 5035.7517  7553.6276}
  add_baz_func(1, 1,2); { 7985.6268 10503.5027}
  add_baz_func(1, 2,0); { 4171.7533  6689.6292}
  add_baz_func(1, 2,1); { 7121.6284  9639.5043}
  add_baz_func(1, 3,0); { 6257.6300  8775.5059}
  add_baz_func(1, 3,1); { 9207.5051 11725.3809}
  add_baz_func(1, 4,0); { 8343.5067 10861.3825}

  writeln('nbaz_ftsij:=',nbaz_ftsij);
  if rezhim_setk='s' then init_E_r; {m.b. vygodno sozd. setku}
 end;

 procedure fin_spec; begin end;

