 {nachalo fragmenta, spetsifich. dl`a konkretn. s-my}
 {zatormozhenn. vrashchenie}

 const k0=5.16426e5; {HCl - Krasnov, s.276}

 function E_r(r:vect2):real; var rr,ee,c,s,cos_nf:real; k1,k2:integer;
 begin
  if rezhim_setk<>'s' then begin
   rr:=sqrt(sqr(r[1])+sqr(r[2]));
   ee:=(k0/2)*(sqr(rr-1.0*angst));
(*
   if rr<>0 then begin
    c:=r[1]/rr; s:=r[2]/rr;
    cos_nf:=c*sqr(c)-3*c*sqr(s); {3 minimuma}
    {cos_nf:=sqr(sqr(c))-6*sqr(c)*sqr(s)+sqr(sqr(s));} {4 minimuma}
    {cos_nf:=pw(c,6)-15*pw(c,4)*pw(s,2)+15*pw(c,2)*pw(s,4)-pw(s,6);} {6 min.}
    ee:=ee+(700.0{1000.0}/k_smm1*k_erg)*(1-cos_nf)/2;
   end;
*)
   if ee>200000.0/k_smm1*k_erg then ee:=200000.0/k_smm1*k_erg ;
  end else {if rezhim_setk='s' then} begin
   k1:=round((r[1]-x1_0)/dx); k2:=round((r[2]-x2_0)/dx);
   {writeln(r[1]:16,' ',r[2]:16,' ',k1:4,k2:4,' ',pot^[k1,k2]:10:4);}
   ee:=pot^[k1,k2];
  end;
  E_r:=ee;
 end;

 procedure init_spec;
  var nr,i:integer; omega:real;
  var b:text; s:string[80]; r1,r2,r3:real; v1,v2:integer;
 begin
  naziv:='test2to2';
  x1_0:=-1.5*angst; x1_1:=1.5*angst; x2_0:=-1.5*angst; x2_1:=1.5*angst;
  dx:=0.05{0.03}*angst;
  m[1]:=mp; m[2]:=mp;
  {khot`a deform. el. oblaka ekviv. dvizh. el-na vmeste s
    protonom, ber`om mp, a ne mH}
  Emax_smm1:=10000.0{20000.0}; Emax_:=200000.0/k_smm1*k_erg;

  assign(b,naziv+'.baz'); reset(b);
  repeat readln(b,s); writeln(s); until s='^$^';
  nminima:=0;

  repeat readln(b,s);
   if (s='') or (copy(s,1,1)=';') then begin
    nminima:=nminima+1; with minima[nminima] do begin
    readln(b,r1,r2,r3);
    r0[1]:=r1*angst; r0[2]:=r2*angst; E_dna_smm1:=r3;
    readln(b,r1,r2,r3);
    a[1,1]:=r1; a[1,2]:=r2; k[1]:=r3;
    readln(b,r1,r2,r3);
    a[2,1]:=r1; a[2,2]:=r2; k[2]:=r3;
   end; end;
  until s='^$^';

(*
  nminima:=nminima+1; i:=nminima;
  with minima[i] do begin
   r0[1]:=1.0000*angst; r0[2]:=-0.0000*angst; E_dna_smm1:=0.00;
   a[1,1]:=0.0000; a[1,2]:=1.0000; k[1]:=89427.6710;
   a[2,1]:=1.0000; a[2,2]:=0.0000; k[2]:=516426.0000;
  end;
  {esli khotim vstav. dopoln. minimumy, eto nado delat` zdes`, 
    inache ne najd`ot x0 !!!}
*)

  for nr:=1 to nminima do with minima[nr] do begin
   for i:=1 to 2 do begin
    omega:=sqrt(k[i]/m[i]); x0[i]:=sqrt(hx/(m[i]*omega));
    ny[i]:=omega/(2*pi*c); {sm-1}
    writeln('nr,i,ny[i](sm-1),x0[i](A)=',
      nr:4,i:4,ny[i]:10:2,x0[i]/angst:10:4);
   end;
  end;

  nbaz_ftsij:=0;
  while not eof(b) do begin readln(b,i,v1,v2); add_baz_func(i, v1,v2); end;

  close(b);
(*
  i:=nminima;
  add_baz_func(i, 0,0); {    0.0000  2088.7074}
  add_baz_func(i, 0,1); { 2949.8751  5038.5824}
  add_baz_func(i, 0,2); { 5899.7501  7988.4575}
  add_baz_func(i, 0,3); { 8849.6252 10938.3326}
  add_baz_func(i, 1,0); { 1227.5397  3316.2470}
  add_baz_func(i, 1,1); { 4177.4147  6266.1221}
  add_baz_func(i, 1,2); { 7127.2898  9215.9972}
  add_baz_func(i, 2,0); { 2455.0793  4543.7867}
  add_baz_func(i, 2,1); { 5404.9544  7493.6618}
  add_baz_func(i, 2,2); { 8354.8295 10443.5368}
  add_baz_func(i, 3,0); { 3682.6190  5771.3264}
  add_baz_func(i, 3,1); { 6632.4941  8721.2014}
  add_baz_func(i, 3,2); { 9582.3691 11671.0765}
  add_baz_func(i, 4,0); { 4910.1587  6998.8660}
  add_baz_func(i, 4,1); { 7860.0337  9948.7411}
  add_baz_func(i, 5,0); { 6137.6983  8226.4057}
  add_baz_func(i, 5,1); { 9087.5734 11176.2808}
  add_baz_func(i, 6,0); { 7365.2380  9453.9454}
  add_baz_func(i, 7,0); { 8592.7777 10681.4850}
*)
  writeln('nbaz_ftsij:=',nbaz_ftsij);
(*
  for i:=1 to nminima do with minima[i] do begin
   writeln; writeln(i:5);
   writeln(r0[1]/angst:8:4,r0[2]/angst:10:4,' ',E_dna_smm1:10:2);
   writeln(a[1,1]:10:4,a[1,2]:10:4,k[1]:10:2,ny[1]:10:2,x0[1]/angst:8:4);
   writeln(a[2,1]:10:4,a[2,2]:10:4,k[2]:10:2,ny[2]:10:2,x0[2]/angst:8:4);
  end;
  halt;
*)
  if rezhim_setk='s' then init_E_r; {m.b. vygodno sozd. setku}
 end;

 procedure fin_spec; begin end;

